5.2.0-git
04/20/2014

[#10767] Imple-Calendar-Link wrong
Summary Imple-Calendar-Link wrong
Queue Kronolith
Queue Version 3.0.11
Type Bug
State Resolved
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester michael.groene (at) zel (dot) uni-hannover (dot) de
Created 11/15/2011 (887 days ago)
Due
Updated 12/06/2011 (866 days ago)
Assigned 12/04/2011 (868 days ago)
Resolved 12/04/2011 (868 days ago)
Milestone
Patch No

History
12/06/2011 02:46:58 PM michael (dot) groene (at) zel (dot) uni-hannover (dot) de Comment #12 Reply to this comment
Those links should be full urls now, thanks for the report.
Thank you for fixing. Works well :)
12/05/2011 02:28:50 PM Michael Rubinsky Comment #11 Reply to this comment
Those links should be full urls now, thanks for the report.
12/05/2011 02:26:39 PM Git Commit Comment #10 Reply to this comment
Changes have been made in Git for this ticket:

Output full urls for edit/delete links in blocks as well.
Bug: 10767

  1 files changed, 10 insertions(+), 8 deletions(-)
http://git.horde.org/horde-git/-/commit/db9b754ebf6586fe4dd9973055abc9fad945bbb2
12/05/2011 06:12:09 AM michael (dot) groene (at) zel (dot) uni-hannover (dot) de Comment #9
New Attachment: edit_delete.png Download
Reply to this comment
Thank you, this works, as expected now.

A little issue still left in imple. I made a screenshot, which will 
describe the most.

If the user is logged in horde in the same browser where the 
imple-calendars are loaded, too, the edit/delete-button are shown. The 
problem is, that they do not contain the whole uri of hordes website. 
404 is the result...  The event-link itself will be fine.
12/04/2011 11:14:04 PM Michael Rubinsky Comment #8 Reply to this comment
Do you mean the display_cal variable in general, or support viewing 
any calendar type in a Kronolith block/embedded imple?

For the former, it supports any calendar type, the latter will support 
any calendar type supported by the blocks - pretty much anything 
except external, from what I can tell.
12/04/2011 10:49:44 PM Jan Schneider Comment #7 Reply to this comment
Though it still only supports internal calendars, right?
12/04/2011 10:31:31 PM Michael Rubinsky Comment #6
State ⇒ Resolved
Taken from Jan Schneider
Reply to this comment
This also affected Kronolith's blocks since the same rendering code is 
used for the embedded imples. Should be fixed now.
12/04/2011 10:30:23 PM Git Commit Comment #5 Reply to this comment
Changes have been made in Git for this ticket:

Catch cases where 'internal_' is prepended to the calendar id.
When urls are build directly from the results of Kronolith::listCalendars(),
the driver names are prepended to the calendar ids.

Bug: 10767

  3 files changed, 7 insertions(+), 0 deletions(-)
http://git.horde.org/horde-git/-/commit/385e6688d92ab6d531213370b7218982e2fa2255
12/04/2011 10:13:28 PM Michael Rubinsky Comment #4 Reply to this comment
Eh, nevermind. It's the link from the embedded imple, not the link on 
the My Calendars page.
12/04/2011 10:11:20 PM Michael Rubinsky Comment #3
State ⇒ Feedback
Reply to this comment
I'm not seeing this issue. Is this an internal calendar? The display 
link for me correctly passes the calendar id without the leading 
'internal_'.
11/30/2011 05:49:01 PM Jan Schneider Comment #2
State ⇒ Assigned
Assigned to Michael Rubinsky
Assigned to Jan Schneider
Reply to this comment
We need to implement support for all calendar drivers.
11/15/2011 01:58:40 PM michael (dot) groene (at) zel (dot) uni-hannover (dot) de Comment #1
State ⇒ Unconfirmed
Patch ⇒ No
Milestone ⇒
Queue ⇒ Kronolith
Summary ⇒ Imple-Calendar-Link wrong
Type ⇒ Bug
Priority ⇒ 1. Low
Reply to this comment
I just embedded an calendar using the provided imple-link in calendars 
pref. The cal is displayed fine, but the link to display the calendar 
within horde seems to be wrong:
https://asdf.zel.uni-hannover.de/kronolith/?display_cal=internal__GtoL9cNCvpOwlmpzvgznUA
doesn't work. Cutting the "internal_" makes it work:
https://asdf.zel.uni-hannover.de/kronolith/?display_cal=_GtoL9cNCvpOwlmpzvgznUA